# std::experimental::filesystem::recursive_directory_iterator::pop

From cppreference.com
< cpp‎ | experimental‎ | fs‎ | recursive directory iterator

void pop(); |  | (filesystem TS)

Moves the iterator one level up in the directory hierarchy.

If the parent directory is outside directory hierarchy that is iterated on (i.e. depth() == 0), sets *this to an end directory iterator.

### Parameters

(none)

### Return value

(none)

### Exceptions

| This section is incomplete

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/fs/recursive_directory_iterator/pop&oldid=68665"